Subject: RE: [PATCH/RFC/GSOC] make git-pull a builtin

From: "Stephen Robin" <[email-masked]>
Date: Wed, 18 Mar 2015 08:38:09 -0000

> Paul Tan writes:
> I would like to share this very rough prototype with everyone. 
...
> I started this as a just-for-fun exercise to learn about the git internal
API

I started to rewrite git-pull for similar reasons a couple of months ago,
but I haven't had time to complete it.  It looks like my version has less
work remaining than yours, would you like me to share it?

> Finally, there is the possibility that in the process of conversion bugs
or incompatible behavioral changes may be introduced which are not caught by
the test suite. Ideally, I think the solution is to improve the test suite
and make it as comprehensive as possible, but writing a comprehensive test
suite may be too time consuming. 

This is why I haven't had time to finish and submit my patch.  While the c
code is pretty much complete, I felt the test suite needed some extension
before I could be confident the new code is correct.